
## Rotate
tp @s ~ ~ ~ ~0.25 ~

## Particles
execute positioned ~ ~-0.5 ~ run particle enchant ~ ~ ~ 0 0 0 1 1 force @a
execute positioned ~ ~-0.75 ~ run particle end_rod ~ ~ ~ 0 0 0 0 1 force @a

## Sounds
execute if score 60tick osp.settings matches 0 positioned ~ ~-0.5 ~ run playsound minecraft:block.beacon.ambient player @a ~ ~ ~ 2 0

## Item Capture
execute unless entity @s[tag=osp.celestial_communion.summon_capture,nbt={Item:{id:"minecraft:writable_book"}}] positioned ~ ~-0.75 ~ as @e[type=item,distance=..0.5,limit=1,sort=nearest] run function osp:powers/celestial_communion/effects/summon_capture

execute positioned ~ ~-0.75 ~ as @e[type=item,tag=osp.celestial_communion.summon_captured,distance=..1] run function osp:powers/celestial_communion/effects/summon_capture_loop

## Timer
execute unless score @s osp.celestial_communion.timer matches -5 run scoreboard players add @s osp.celestial_communion.timer 1

### Void
execute if entity @s[tag=osp.celestial_communion.void] positioned ~ ~-0.5 ~ run function osp:powers/celestial_communion/effects/void/par
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2000 run tellraw @p[tag=osp.powers.celestial_communion] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> The spell will be out of power soon. I would suggest you get a hurry on it…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2100 run tellraw @p[tag=osp.powers.celestial_communion] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Unless you have decided against getting the spell…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2375 run tellraw @p[tag=osp.powers.celestial_communion] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I will see you later i supose…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches -5 run tellraw @p[tag=osp.powers.celestial_communion] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Use the spell wisely…"}]

#### Void binding
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_binding] run tellraw @p[tag=osp.powers.celestial_communion] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer simple spell "},{"selector":"@p[tag=osp.powers.celestial_communion]"},{"text":", good for slowing down your enemies. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. Do it fast, for the communion spell shall not last long…"}]

## End
execute if score @s osp.celestial_communion.timer matches -5 run function osp:powers/celestial_communion/effects/summon_done
execute if score @s osp.celestial_communion.timer matches 2400.. run function osp:powers/celestial_communion/effects/summon_end
